%global _empty_manifest_terminate_build 0
Name:           python-pylama
Version:        7.7.1
Release:        3
Summary:        Code audit tool for python
License:        LGPL-3.0
URL:            https://pypi.org/project/pylama/
Source0:        https://files.pythonhosted.org/packages/8a/89/082aa9378e382bd8132c3a8a3ef09af71e1c8f5c00cef211583e476ba4df/pylama-7.7.1.tar.gz
BuildArch:      noarch
%description
Code audit tool for Python and JavaScript.

%package -n python3-pylama
Summary:        Code audit tool for python
Provides:       python-pylama
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Requires:       python3-pydocstyle
%description -n python3-pylama
Code audit tool for Python and JavaScript.

%package help
Summary:        Code audit tool for python
Provides:       python3-pylama-doc
%description help
Code audit tool for Python and JavaScript.

%prep
%autosetup -n pylama-%{version}
rm -rf tests/

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-pylama -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 19 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 7.7.1-3
- Remove useless tests folder to avoid file conflict.

* Tue Aug 10 2021 huangtianhua <huangtianhua@huawei.com> - 7.7.1-2
- Adds pydocstyle as requires and delete -S git

* Thu Jul 29 2021 OpenStack_SIG <openstack@openeuler.org> - 7.7.1-1
- Package Spec generate
